<?xml version="1.0" encoding="utf-8" ?>
<COLUMN>
<TEXT value="Transformed Output Pitch"/>
<ROW v_align="top" spacing="10">
	<!-- Custom definitions -->
	<DEFINE>
		<CUS_OUTPUTPITCH_V_RULER base_type="CUS_V_RULER"	positions_count="11" width="30"/>
		<CUS_OUTPUTPITCH_H_RULER base_type="CUS_H_RULER" scale="linear" positions_count="11"/>
		<CUS_PITCHTIME_GRAPH base_type="CURVE_GRAPH" width="100%" height="100%" />
		<CUS_PITCHTIME_BARGRAPH base_type="CUS_PITCHTIME_GRAPH" graph_style="bargraph" />
		<CUS_H_SLIDER base_type="IMAGE_PARAM_SLIDER" orientation="horizontal" image="h_slide.bmp" cursor="system::hand"/>
	</DEFINE>
	
	<TEMPLATE id="TPL_SLIDE_MODULE" name="{name}" value_format=".0">
		<CUS_H_SLIDER param_id="$param_id$" layout_type="row" text_color="#cccccc">
			<PARAM_TEXT param_id="$param_id$" content="$name$ :" />
			<CUS_TEXT_VALUE param_id="$param_id$" value_format="$value_format$"/>
		</CUS_H_SLIDER>
	</TEMPLATE>

	<!-- output params curves -->
	<CURVE_FROM_PARAM_OVER_TIME id="center_pitch_curve" param_id="dsp.output6" duration_ms="10000" />
	<CURVE_FROM_PARAM_OVER_TIME id="min_pitch_curve" param_id="dsp.output7" duration_ms="10000" />
	<CURVE_FROM_PARAM_OVER_TIME id="max_pitch_curve" param_id="dsp.output8" duration_ms="10000" />
	<!-- link bypass to the paused attribute of the curves -->
	<PARAM_MULTI_LINK from="dsp.input0" to="center_pitch_curve.paused;min_pitch_curve.paused;max_pitch_curve.paused"/>
	
	<VARIABLE id="output_graph_width" value="560" />
		<!-- Graph  -->
		<TABLE h_margin="3">
			<TABLE_ROW>
			<!-- Y scale -->
			<CUS_OUTPUTPITCH_V_RULER param_info_id="center_pitch_curve.y_info" />
			<!-- Graphs -->
			<LAYER_STACK height="300" width="$output_graph_width$" v_margin="7" h_margin="14">
				<CUS_GRID x_param_info_id="center_pitch_curve.x_info" y_param_info_id="center_pitch_curve.y_info" y_positions_count="11"/>
								
				<!-- Real time graphs -->
				<CUS_PITCHTIME_GRAPH color="$center_color$" curve_id="center_pitch_curve" id="center_pitch_graph"/>
				<CUS_PITCHTIME_GRAPH color="$min_color$" curve_id="min_pitch_curve" id="min_pitch_graph"/>
				<CUS_PITCHTIME_GRAPH color="$max_color$" curve_id="max_pitch_curve" id="max_pitch_graph"/>
			</LAYER_STACK>
			<!-- Y scale -->
			<CUS_OUTPUTPITCH_V_RULER param_info_id="dsp.output0.info" scale="log" width="35" text_h_align="left"/>

			</TABLE_ROW>
			<TABLE_ROW>
				<CELL />
				<CUS_OUTPUTPITCH_H_RULER param_info_id="center_pitch_curve.x_info" width="$output_graph_width$"/>
			</TABLE_ROW>
		</TABLE>
	<COLUMN v_align="top" spacing="4">
		<TPL_TITLE text="Trans. Output"/>
		<COLUMN spacing="10">
			<CUS_VBLACK_BOX>
				<TPL_CURVE_CHECK_BOX text="Max Pitch" param_id="max_pitch_graph.visible" text_color="$max_color$"/>
				 <TPL_SLIDE_MODULE param_id="dsp.input19" name="amount"/>
				 <TPL_SLIDE_MODULE param_id="dsp.input20" name="offset"/>
				<ROW spacing="5">
					<CUS_CHECK_BOX param_id="dsp.input18"/>
					<TEXT value="Reverse">
						<CUS_INVISIBLE_BUTTON param_id="dsp.input18" />
					</TEXT>
				</ROW>
			</CUS_VBLACK_BOX>
			<CUS_VBLACK_BOX>
				<TPL_CURVE_CHECK_BOX text="Center Pitch" param_id="center_pitch_graph.visible" text_color="$center_color$"/>
				<TPL_SLIDE_MODULE param_id="dsp.input13" name="amount"/>
				<TPL_SLIDE_MODULE param_id="dsp.input14" name="offset"/>
				<ROW spacing="5">
					<CUS_CHECK_BOX param_id="dsp.input12"/>
					<TEXT value="Reverse">
						<CUS_INVISIBLE_BUTTON param_id="dsp.input12" />
					</TEXT>
				</ROW>
			</CUS_VBLACK_BOX>
			<CUS_VBLACK_BOX>
				<TPL_CURVE_CHECK_BOX text="Min Pitch" param_id="min_pitch_graph.visible" text_color="$min_color$"/>
				<TPL_SLIDE_MODULE param_id="dsp.input16" name="amount"/>
				<TPL_SLIDE_MODULE param_id="dsp.input17" name="offset"/>
				<ROW spacing="5">
					<CUS_CHECK_BOX param_id="dsp.input15"/>
					<TEXT value="Reverse">
						<CUS_INVISIBLE_BUTTON param_id="dsp.input15" />
					</TEXT>
				</ROW>
			</CUS_VBLACK_BOX>
		</COLUMN>
	</COLUMN>
</ROW>	
<PERSISTENT_OBJECTS object_ids="min_pitch_graph.visible;center_pitch_graph.visible;max_pitch_graph.visible"/>
</COLUMN>