<?xml version="1.0" encoding="utf-8" ?>
<COLUMN spacing="10">
	<TPL_TITLE text="Transformed Output Pitch" width="100%"/>
	<!-- Custom definitions -->
	<DEFINE>
		<CUS_OUTPUTPITCH_V_RULER base_type="CUS_V_RULER"	positions_count="11" width="30"/>
		<CUS_OUTPUTPITCH_H_RULER base_type="CUS_H_RULER" scale="linear" positions_count="11"/>
		<CUS_PITCHTIME_GRAPH base_type="CURVE_GRAPH" width="100%" height="100%" />
		<CUS_H_SLIDER base_type="IMAGE_PARAM_SLIDER" orientation="horizontal" image="h_slide.bmp" cursor="system::hand"/>
	</DEFINE>
	
	<TEMPLATE id="TPL_SLIDE_MODULE" name="{name}" value_format=".0">
		<CUS_H_SLIDER param_id="$param_id$" layout_type="row" text_color="#cccccc">
			<PARAM_TEXT param_id="$param_id$" content="$name$ :" />
			<CUS_TEXT_VALUE param_id="$param_id$" value_format="$value_format$"/>
		</CUS_H_SLIDER>
	</TEMPLATE>

	<!-- output params curves -->
	<CURVE_FROM_PARAM_OVER_TIME id="center_pitch_curve_left" param_id="dsp.output6" duration_ms="10000" />
	<CURVE_FROM_PARAM_OVER_TIME id="min_pitch_curve_left" param_id="dsp.output7" duration_ms="10000" />
	<CURVE_FROM_PARAM_OVER_TIME id="max_pitch_curve_left" param_id="dsp.output8" duration_ms="10000" />
	
	<CURVE_FROM_PARAM_OVER_TIME id="center_pitch_curve_right" param_id="dsp.output15" duration_ms="10000" />
	<CURVE_FROM_PARAM_OVER_TIME id="min_pitch_curve_right" param_id="dsp.output16" duration_ms="10000" />
	<CURVE_FROM_PARAM_OVER_TIME id="max_pitch_curve_right" param_id="dsp.output17" duration_ms="10000" />
	
	<CURVE_FROM_PARAM_OVER_TIME id="center_pitch_curve_combined" param_id="dsp.output24" duration_ms="10000" />
	<CURVE_FROM_PARAM_OVER_TIME id="min_pitch_curve_combined" param_id="dsp.output25" duration_ms="10000" />
	<CURVE_FROM_PARAM_OVER_TIME id="max_pitch_curve_combined" param_id="dsp.output26" duration_ms="10000" />	
	
	<!-- link bypass to the paused attribute of the curves -->
	<PARAM_MULTI_LINK from="dsp.input0" to="center_pitch_curve_left.paused;min_pitch_curve_left.paused;max_pitch_curve_left.paused"/>
	<PARAM_MULTI_LINK from="dsp.input0" to="center_pitch_curve_right.paused;min_pitch_curve_right.paused;max_pitch_curve_right.paused"/>
	<PARAM_MULTI_LINK from="dsp.input0" to="center_pitch_curve_combined.paused;min_pitch_curve_combined.paused;max_pitch_curve_combined.paused"/>
	
	
	<!-- Graph  -->
	<VARIABLE id="output_graph_width" value="250" />
	<TEMPLATE id="TPL_GRAPH_CELL">
			<!-- Graphs -->
			<COLUMN>
			<LAYER_STACK height="200" width="$output_graph_width$" v_margin="7" h_margin="14">
				<CUS_GRID x_param_info_id="center_pitch_curve_$channel$.x_info" y_param_info_id="center_pitch_curve_$channel$.y_info" y_positions_count="11"/>
								
				<!-- Real time graphs -->
				<CUS_PITCHTIME_GRAPH color="$center_color$" curve_id="center_pitch_curve_$channel$" id="center_pitch_graph_$channel$"/>
				<CUS_PITCHTIME_GRAPH color="$min_color$" curve_id="min_pitch_curve_$channel$" id="min_pitch_graph_$channel$"/>
				<CUS_PITCHTIME_GRAPH color="$max_color$" curve_id="max_pitch_curve_$channel$" id="max_pitch_graph_$channel$"/>
			</LAYER_STACK>
			</COLUMN>
	</TEMPLATE>

	<ROW>
		<TABLE h_margin="3">
			<TABLE_ROW>
			<CELL/>
			<TEXT string_id="channel1_name" text_color="$instant_color_left$" width="50"/>
			<TEXT value="Combined" text_color="$instant_color_avg$"/>
			<TEXT string_id="channel2_name" text_color="$instant_color_right$" width="50"/>
			</TABLE_ROW>
			<TABLE_ROW >
				<!-- Y scale -->
				<CUS_OUTPUTPITCH_V_RULER param_info_id="center_pitch_curve_left.y_info" />
				<!-- Graphs -->
				<TPL_GRAPH_CELL channel="left"/>
				<TPL_GRAPH_CELL channel="combined"/>
				<TPL_GRAPH_CELL channel="right"/>			
				<!-- Y scale -->
				<CUS_OUTPUTPITCH_V_RULER param_info_id="dsp.output0.info" scale="log" width="35" text_h_align="left"/>
			</TABLE_ROW>
			<TABLE_ROW >
				<CELL />
				<CUS_OUTPUTPITCH_H_RULER param_info_id="center_pitch_curve_left.x_info" width="$output_graph_width$"/>
				<CUS_OUTPUTPITCH_H_RULER param_info_id="center_pitch_curve_left.x_info" width="$output_graph_width$"/>
				<CUS_OUTPUTPITCH_H_RULER param_info_id="center_pitch_curve_left.x_info" width="$output_graph_width$"/>
			</TABLE_ROW>
		</TABLE>
		

	</ROW>
	<COLUMN spacing="4" width="100%">
		<TPL_TITLE text="Transform Parameters" width="100%"/>
		<ROW spacing="30">
			<CUS_VBLACK_BOX>
				<TPL_CURVE_CHECK_BOX text="Max Pitch" param_id="max_pitch_graph_left.visible" text_color="$max_color$"/>
				 <PARAM_MULTI_LINK from="max_pitch_graph_left.visible" to="max_pitch_graph_right.visible;max_pitch_graph_combined.visible"/>
				 <TPL_SLIDE_MODULE param_id="dsp.input19" name="amount"/>
				 <TPL_SLIDE_MODULE param_id="dsp.input20" name="offset"/>
				<ROW spacing="5">
					<CUS_CHECK_BOX param_id="dsp.input18"/>
					<TEXT value="Reverse">
						<CUS_INVISIBLE_BUTTON param_id="dsp.input18" />
					</TEXT>
				</ROW>
			</CUS_VBLACK_BOX>
			<CUS_VBLACK_BOX>
				<TPL_CURVE_CHECK_BOX text="Center Pitch" param_id="center_pitch_graph_left.visible" text_color="$center_color$"/>
				 <PARAM_MULTI_LINK from="center_pitch_graph_left.visible" to="center_pitch_graph_right.visible;center_pitch_graph_combined.visible"/>
				<TPL_SLIDE_MODULE param_id="dsp.input13" name="amount"/>
				<TPL_SLIDE_MODULE param_id="dsp.input14" name="offset"/>
				<ROW spacing="5">
					<CUS_CHECK_BOX param_id="dsp.input12"/>
					<TEXT value="Reverse">
						<CUS_INVISIBLE_BUTTON param_id="dsp.input12" />
					</TEXT>
				</ROW>
			</CUS_VBLACK_BOX>
			<CUS_VBLACK_BOX>
				<TPL_CURVE_CHECK_BOX text="Min Pitch" param_id="min_pitch_graph_left.visible" text_color="$min_color$"/>
				 <PARAM_MULTI_LINK from="min_pitch_graph_left.visible" to="min_pitch_graph_right.visible;min_pitch_graph_combined.visible"/>
				<TPL_SLIDE_MODULE param_id="dsp.input16" name="amount"/>
				<TPL_SLIDE_MODULE param_id="dsp.input17" name="offset"/>
				<ROW spacing="5">
					<CUS_CHECK_BOX param_id="dsp.input15"/>
					<TEXT value="Reverse">
						<CUS_INVISIBLE_BUTTON param_id="dsp.input15" />
					</TEXT>
				</ROW>
			</CUS_VBLACK_BOX>
		</ROW>
	</COLUMN>
	<PERSISTENT_OBJECTS from="dsp.input0" object_ids="center_pitch_graph_left.visible;min_pitch_graph_left.visible;max_pitch_graph_left.visible"/>
	<PERSISTENT_OBJECTS from="dsp.input0" object_ids="center_pitch_graph_right.visible;min_pitch_graph_right.visible;max_pitch_graph_right.visible"/>
	<PERSISTENT_OBJECTS from="dsp.input0" object_ids="center_pitch_graph_combined.visible;min_pitch_graph_combined.visible;max_pitch_graph_combined.visible"/>
</COLUMN>