<?xml version="1.0" encoding="utf-8" ?> 
<COLUMN v_align="top">
<!-- Custom definitions -->
	<DEFINE>
		<CUS_SURFACE_OBJECT base_type="SURFACE_FROM_CURVE_OVER_TIME" duration_ms="10000" refresh_time_ms="50"/>
		<CUS_SURFACE_VIEW base_type="SURFACE_COLORMAP_2DPLOT" height="100%" width="100%" sample_rate=".25" y_scale="log" z_response_curve="log" high_color="$spectr_high_color$" low_color="$spectr_low_color$"/>
        <CUS_3D_VIEW base_type="VIEW_3D" width="100%" height="100%" grid.opacity=".8" cursor="system::open_hand" y_ratio=".5" z_ratio=".3" transform.tz="-.85" persistent_viewpoint="true"/>  
		<CUS_3D_SURFACE base_type="COLOR_SURFACE_3D" high_color="$spectr_high_color$" low_color="$spectr_low_color$" opacity=".8" x_offset="1" z_offset="1"  y_scale="log" x_positions_count="150" y_positions_count="100" x_position="-.5" y_position="-.5" z_position="-.5"/>
		<CUS_3D_GRID  base_type="GRID_3D" x_positions_count="11" y_positions_count="11" z_positions_count="13" x_position="-.5" y_position="-.5" z_position="-.5"/> 
	</DEFINE>
		
<!-- surfaces (instant, max or average for each channel) -->
<CUS_SURFACE_OBJECT id="instant_surface_left" curve_id="dsp.output_curve0"/>
<CUS_SURFACE_OBJECT id="max_surface_left" curve_id="dsp.output_curve1"/>
<CUS_SURFACE_OBJECT id="instant_surface_right" curve_id="dsp.output_curve3"/>
<CUS_SURFACE_OBJECT id="max_surface_right" curve_id="dsp.output_curve4"/>
<CUS_SURFACE_OBJECT id="instant_surface_avg" curve_id="dsp.output_curve6"/>
<CUS_SURFACE_OBJECT id="max_surface_avg" curve_id="dsp.output_curve7"/>
<CUS_SURFACE_OBJECT id="instant_surface_max" curve_id="dsp.output_curve9"/>
<CUS_SURFACE_OBJECT id="max_surface_max" curve_id="dsp.output_curve10"/>
<SURFACE_VALUE_PARAM id="instant_dB_value_left" surface_id="instant_surface_left" x_param_id="x_surf_time" y_param_id="y_surf_freq"/>
<SURFACE_VALUE_PARAM id="max_dB_value_left" surface_id="max_surface_left" x_param_id="x_surf_time" y_param_id="y_surf_freq"/>
<SURFACE_VALUE_PARAM id="instant_dB_value_right" surface_id="instant_surface_right" x_param_id="x_surf_time" y_param_id="y_surf_freq"/>
<SURFACE_VALUE_PARAM id="max_dB_value_right" surface_id="max_surface_right" x_param_id="x_surf_time" y_param_id="y_surf_freq"/>
<SURFACE_VALUE_PARAM id="instant_dB_value_avg" surface_id="instant_surface_avg" x_param_id="x_surf_time" y_param_id="y_surf_freq"/>
<SURFACE_VALUE_PARAM id="max_dB_value_avg" surface_id="max_surface_avg" x_param_id="x_surf_time" y_param_id="y_surf_freq"/>
<SURFACE_VALUE_PARAM id="instant_dB_value_max" surface_id="instant_surface_max" x_param_id="x_surf_time" y_param_id="y_surf_freq"/>
<SURFACE_VALUE_PARAM id="max_dB_value_max" surface_id="max_surface_max" x_param_id="x_surf_time" y_param_id="y_surf_freq"/>

<!-- link bypass to the paused attribute of these surfaces -->
<PARAM_MULTI_LINK from="dsp.input0" to="instant_surface_left.paused;max_surface_left.paused"/>
<PARAM_MULTI_LINK from="dsp.input0" to="instant_surface_right.paused;max_surface_right.paused"/>
<PARAM_MULTI_LINK from="dsp.input0" to="instant_surface_avg.paused;max_surface_avg.paused"/>
<PARAM_MULTI_LINK from="dsp.input0" to="instant_surface_max.paused;max_surface_max.paused"/>

<!-- link for the drag or measure stuff -->
<PARAM_LINK from="mouse_measure" to="surface_coords.visible"/>
<PARAM_MULTI_LINK from="mouse_measure;2d_graph.visible" to="surface_position_cell.visible" mux_function="min"/>

<PARAM id="x_surf_time" min="-10" max="0" default="0" name="x" unit="s"/>
<PARAM id="y_surf_freq" min="10" max="22000" default="10" name="y" unit="Hz"/>
    
<COLUMN v_margin="-5">
<CELL height="5" />
<ROW spacing="100">	
	<IMAGE_GROUP_BOX id="surface_position_cell" layout_type="row">
		<TEXT value="Position: "/>
		<TEXT value="(" height="10"/>
		<PARAM_TEXT param_id="x_surf_time" width="40" height="10" content="{value} {unit}" value_format=".1" text_color="#dddddd"/>
		<TEXT value="|" height="10"/>
		<PARAM_TEXT  param_id="y_surf_freq" width="50" height="10" content="{value} {unit}" value_format=".0" text_color="#dddddd"/>
		<TEXT value="|" height="10"/>
		<LAYER_STACK>
		<DEFINE>
			<CUS_COORD_VALUE base_type="PARAM_TEXT" width="50" height="10" content="{value} {unit}" value_format="+.0" text_color="#dddddd"/>
		</DEFINE>
		<CUS_COORD_VALUE  id="value0" param_id="instant_dB_value_left" />
		<CUS_COORD_VALUE  id="value1" param_id="max_dB_value_left" />
		<CUS_COORD_VALUE  id="value2" param_id="instant_dB_value_right" />
		<CUS_COORD_VALUE  id="value3" param_id="max_dB_value_right" />
		<CUS_COORD_VALUE  id="value4" param_id="instant_dB_value_avg" />
		<CUS_COORD_VALUE  id="value5" param_id="max_dB_value_avg" />
		<CUS_COORD_VALUE  id="value6" param_id="instant_dB_value_max" />
		<CUS_COORD_VALUE  id="value7" param_id="max_dB_value_max" />
		</LAYER_STACK>
		<TEXT value=")" height="10"/>
	</IMAGE_GROUP_BOX>
</ROW>
</COLUMN>

<ROW>
<TABLE h_margin="3" >
    <TABLE_ROW>
        <!-- Y scale -->
        <LAYER_STACK height="100%">
            <CUS_V_RULER width="40" param_info_id="instant_surface_left.y_info" positions_count="21" id="surface_y_scale" scale="log"/>
            <XYZ_PARAM_SCRATCH_PAD height="100%" width="100%" y_param_id="surface_y_offset" y_reverse="true" id="surface_yruler_pad" cursor="system::open_hand"/>    
        </LAYER_STACK>
        <!-- The curves-->
        <LAYER_STACK height="315" width="600" v_margin="7" h_margin="14">
           <IMAGE_GROUP_BOX  id="2d_graph" layout_type="layer_stack" visible="true" width="100%" height="100%">

                <!-- Surfaces -->
                <CUS_SURFACE_VIEW id="surf0" surface_id="instant_surface_left" visible="false"/>  
                <CUS_SURFACE_VIEW id="surf1" surface_id="max_surface_left" visible="false"/> 
                <CUS_SURFACE_VIEW id="surf2" surface_id="instant_surface_right" visible="false"/> 
                <CUS_SURFACE_VIEW id="surf3" surface_id="max_surface_right" visible="false"/> 
                <CUS_SURFACE_VIEW id="surf4" surface_id="instant_surface_avg"/> 
                <CUS_SURFACE_VIEW id="surf5" surface_id="max_surface_avg" visible="false"/> 
                <CUS_SURFACE_VIEW id="surf6" surface_id="instant_surface_max" visible="false"/> 
                <CUS_SURFACE_VIEW id="surf7" surface_id="max_surface_max" visible="false"/> 
                
                 <CUS_GRID x_param_info_id="instant_surface_left.y_info" y_param_info_id="instant_surface_left.x_info" x_subdiv_count="1" y_subdiv_count="1" width="100%" height="100%" subdiv_color="#444444"
                      x_positions_count="11" y_positions_count="11" id="surface_grid"/>
                <!-- zoom scratch pad -->
                <XYZ_PARAM_SCRATCH_PAD height="100%" width="100%" x_param_id="surface_x_offset" y_param_id="surface_y_offset"  x_reverse="true" y_reverse="true" id="surface_scratchpad" cursor="system::open_hand"/>
                <!-- The controller that let you see the xY coordinates values -->
                <XY_ZOOM_SELECT_PAD id="surface_coords" height="100%" width="100%" x_param_id="x_surf_time" y_param_id="y_surf_freq" x_zoom_param_id="surface_x_zoom" y_zoom_param_id="surface_y_zoom" x_offset_param_id="surface_x_offset" y_offset_param_id="surface_y_offset" cursor="system::cross" y_scale="log" />
            </IMAGE_GROUP_BOX>	
            <!-- 3D Viewer -->
             <CUS_3D_VIEW id="3d_view">
                <CUS_3D_GRID id="3d_grid" x_param_info_id="instant_surface_avg.x_info" y_param_info_id="instant_surface_avg.y_info" z_param_info_id="instant_surface_avg.z_info"/>     
                <CUS_3D_SURFACE id="3d_surf0" visible="false" surface_id="instant_surface_left"/>        
                <CUS_3D_SURFACE id="3d_surf1" visible="false" surface_id="max_surface_left"/>        
                <CUS_3D_SURFACE id="3d_surf2" visible="false" surface_id="instant_surface_right"/>        
                <CUS_3D_SURFACE id="3d_surf3" visible="false" surface_id="max_surface_right"/>
                <CUS_3D_SURFACE id="3d_surf4" visible="false" surface_id="instant_surface_avg"/>        
                <CUS_3D_SURFACE id="3d_surf5" visible="false" surface_id="max_surface_avg"/>
                <CUS_3D_SURFACE id="3d_surf6" visible="false" surface_id="instant_surface_max"/>        
                <CUS_3D_SURFACE id="3d_surf7" visible="false" surface_id="max_surface_max"/>     
            </CUS_3D_VIEW>
            
            <!-- zoom sliders -->
            <TPL_ZOOM_SLIDERS y_zoom="surface_y_zoom" x_zoom="surface_x_zoom"/>
        </LAYER_STACK>
        <!-- slider & scale-->
        <ROW spacing="2">
        <CUS_V_RULER h_align="right" v_margin="7"
          width="15" param_info_id="instant_surface_left.z_info" content="{value}" positions_count="13" id="surface_z_scale"/>
        <LAYER_STACK>
            <CELL width="100%" height="100%" v_margin="8">
            <COLOR_SCALE param_info_id="dsp.input6.info" width="100%" height="100%" high_color="$spectr_high_color$" low_color="$spectr_low_color$" orientation="vertical" response_curve="exp"/>
            </CELL>
            <CUS_ARROW_SLIDER param_id="dsp.input6" id="threshold_slider2" image_mask="vslider.bmp" image_selected_mask="" image_selected_focus_mask="" image_selected_hover_mask=""/>
        </LAYER_STACK>
        </ROW>	
     </TABLE_ROW>
     <TABLE_ROW>
        <CELL />
        <LAYER_STACK>
            <CUS_H_RULER width="600" param_info_id="instant_surface_left.x_info" positions_count="11" id="surface_x_scale"/>
            <XYZ_PARAM_SCRATCH_PAD height="100%" width="100%" x_param_id="surface_x_offset" x_reverse="true" id="surface_xruler_pad" cursor="system::open_hand"/>    
        </LAYER_STACK>
     </TABLE_ROW>
 </TABLE>
 
	<!-- Show/Hide buttons -->	
	<COLUMN spacing="3" v_margin="7" h_margin="2" v_align="top" width="65">
        <COLUMN width="100%">
            <TPL_TITLE text="Display"/>
            <CUS_VBLACK_BOX layout_type="column" width="100%" spacing="4" text_color="#eeeeee">
                <ROW spacing="5" h_align="left"><CUS_CHECK_BOX param_id="3d_mode" reverse="true"/><TEXT value="2D"><CUS_INVISIBLE_BUTTON param_id="3d_mode"/></TEXT></ROW>
                <ROW spacing="5" h_align="left"><CUS_CHECK_BOX param_id="3d_mode"/><TEXT value="3D"><CUS_INVISIBLE_BUTTON param_id="3d_mode"/></TEXT></ROW>
            </CUS_VBLACK_BOX>
        </COLUMN>
        <COLUMN width="100%" id="mouse_options">
            <TPL_TITLE text="Mouse"/>
            <CUS_VBLACK_BOX width="100%">
                <ROW spacing="5">
                    <CUS_HAND_BUTTON param_id="mouse_drag">
                        <TOOLTIP text="Drag Mode" />
                    </CUS_HAND_BUTTON>
                    <CUS_CROSS_BUTTON param_id="mouse_measure">
                        <TOOLTIP text="Measure Mode" />
                    </CUS_CROSS_BUTTON>
                </ROW>
            </CUS_VBLACK_BOX>
        </COLUMN>
        <COLUMN width="100%">
            <TPL_TITLE text="Channel "/>
            <CUS_VBLACK_BOX width="100%" h_margin="4">
                <TPL_STRING_CURVE_CHECK_BOX param_id="show_surface_left" text_color="$instant_color_left$" string_id="channel1_name" h_align="left"/>
                <TPL_STRING_CURVE_CHECK_BOX param_id="show_surface_right" text_color="$instant_color_right$" string_id="channel2_name" h_align="left"/>
                <TPL_CURVE_CHECK_BOX param_id="show_surface_avg" text_color="$instant_color_avg$" text="Avg Ch." h_align="left"/>
                <TPL_CURVE_CHECK_BOX param_id="show_surface_max" text_color="$instant_color_max$" text="Max Ch." h_align="left"/>	  
            </CUS_VBLACK_BOX>
        </COLUMN>
        <COLUMN width="100%">
            <TPL_TITLE text="Mode "/>
            <CUS_VBLACK_BOX width="100%" h_margin="4">
            <TPL_CURVE_CHECK_BOX param_id="show_instant_surface" text_color="#cccccc" text="Instant" h_align="left"/>	  
            <TPL_CURVE_CHECK_BOX param_id="show_max_surface" text_color="#cccccc" text="Peak" h_align="left"/>	  
            </CUS_VBLACK_BOX>
        </COLUMN>
        <COLUMN width="100%">
            <TPL_TITLE text="Reset"/>
            <CUS_VBLACK_BOX layout_type="column" width="100%" spacing="4">
                    <CUS_RESET_BUTTON param_id="dsp.input10" text_color="#eeeeee">
                    <TEXT  value="Peak"/>
                </CUS_RESET_BUTTON>
                <CUS_RESET_BUTTON param_id="dsp.input11" text_color="#cccccc">
                    <TEXT  value="Avg"/>
                </CUS_RESET_BUTTON>
            </CUS_VBLACK_BOX>
        </COLUMN>
	</COLUMN>

 </ROW>
	<!-- Show / Hide params and links -->
	<PARAM id="show_instant_surface" type="boolean" default="1" persistent="true"/>
	<PARAM id="show_max_surface" type="boolean" default="0" persistent="true"/>

	<PARAM id="show_surface_left" type="boolean" default="0" persistent="true"/>
	<PARAM id="show_surface_right" type="boolean" default="0" persistent="true"/>
	<PARAM id="show_surface_avg" type="boolean" default="1" persistent="true"/>
	<PARAM id="show_surface_max" type="boolean" default="0" persistent="true"/>
	 
	<PARAM_MULTI_LINK from="show_surface_left;show_instant_surface" to="3d_surf0.visible;surf0.visible;value0.visible" mux_function="min"/>
	<PARAM_MULTI_LINK from="show_surface_left;show_max_surface" to="3d_surf1.visible;surf1.visible;value1.visible" mux_function="min"/>
	<PARAM_MULTI_LINK from="show_surface_right;show_instant_surface" to="3d_surf2.visible;surf2.visible;value2.visible" mux_function="min"/>
	<PARAM_MULTI_LINK from="show_surface_right;show_max_surface" to="3d_surf3.visible;surf3.visible;value3.visible" mux_function="min"/>
	<PARAM_MULTI_LINK from="show_surface_avg;show_instant_surface" to="3d_surf4.visible;surf4.visible;value4.visible" mux_function="min"/>
	<PARAM_MULTI_LINK from="show_surface_avg;show_max_surface" to="3d_surf5.visible;surf5.visible;value5.visible" mux_function="min"/>
	<PARAM_MULTI_LINK from="show_surface_max;show_instant_surface" to="3d_surf6.visible;surf6.visible;value6.visible" mux_function="min"/>
	<PARAM_MULTI_LINK from="show_surface_max;show_max_surface" to="3d_surf7.visible;surf7.visible;value7.visible" mux_function="min"/>
	 
	<PARAM_MULTI_LINK from="show_max_surface;show_instant_surface" to="show_max_surface;show_instant_surface" mux_function="max" reverse="true" trigger_condition="modify" trigger_min="1"/>
	<PARAM_MULTI_LINK from="show_surface_left;show_surface_right;show_surface_avg;show_surface_max" to="show_surface_left;show_surface_right;show_surface_avg;show_surface_max" mux_function="max" reverse="true" trigger_condition="modify" trigger_min="1"/>
	
	<!-- Zoom parameters and links -->
	<PARAM_MULTI_LINK from="surface_grid.x_extra_pixels" to="surface_scratchpad.x_pixel_range;surface_xruler_pad.x_pixel_range"/>
	<PARAM_MULTI_LINK from="surface_grid.y_extra_pixels" to="surface_scratchpad.y_pixel_range;surface_yruler_pad.y_pixel_range"/>
			
	<!-- X zoom -->
	<PARAM id="surface_x_zoom" min="1" max="5" default="1" name="X zoom" persistent="true"/>
	<PARAM_MULTI_LINK from="surface_x_zoom" to="surf0.x_zoom;surf1.x_zoom;surf2.x_zoom;surf3.x_zoom;surf4.x_zoom;surf5.x_zoom;surf6.x_zoom;surf7.x_zoom"/>
	<PARAM_MULTI_LINK from="surface_x_zoom" to="3d_surf0.x_zoom;3d_surf1.x_zoom;3d_surf2.x_zoom;3d_surf3.x_zoom;3d_surf4.x_zoom;3d_surf5.x_zoom;3d_surf6.x_zoom;3d_surf7.x_zoom"/>
	<PARAM_MULTI_LINK from="surface_x_zoom" to="surface_x_scale.zoom;surface_grid.x_zoom;3d_grid.x_zoom;surface_coords.x_zoom"/>
	
	<!-- X offset -->
	<PARAM id="surface_x_offset" min="0" max="1" default="1" name="X offset" persistent="true"/>
	<PARAM_MULTI_LINK from="surface_x_offset" to="surf0.x_offset;surf1.x_offset;surf2.x_offset;surf3.x_offset;surf4.x_offset;surf5.x_offset;surf6.x_offset;surf7.x_offset"/>
	<PARAM_MULTI_LINK from="surface_x_offset" to="3d_surf0.x_offset;3d_surf1.x_offset;3d_surf2.x_offset;3d_surf3.x_offset;3d_surf4.x_offset;3d_surf5.x_offset;3d_surf6.x_offset;3d_surf7.x_offset"/>
	<PARAM_MULTI_LINK from="surface_x_offset" to="surface_x_scale.offset;surface_grid.x_offset;3d_grid.x_offset;surface_coords.x_offset"/>
   
	<!-- Y Zoom -->
	<PARAM id="surface_y_zoom" min="1" max="5" default="1" name="Y zoom" persistent="true"/>
	<PARAM_MULTI_LINK from="surface_y_zoom" to="surf0.y_zoom;surf1.y_zoom;surf2.y_zoom;surf3.y_zoom;surf4.y_zoom;surf5.y_zoom;surf6.y_zoom;surf7.y_zoom"/>
	<PARAM_MULTI_LINK from="surface_y_zoom" to="3d_surf0.y_zoom;3d_surf1.y_zoom;3d_surf2.y_zoom;3d_surf3.y_zoom;3d_surf4.y_zoom;3d_surf5.y_zoom;3d_surf6.y_zoom;3d_surf7.y_zoom"/>
	<PARAM_MULTI_LINK from="surface_y_zoom" to="surface_y_scale.zoom;surface_grid.y_zoom;3d_grid.y_zoom;surface_coords.y_zoom"/>
	
	<!-- Y Offset -->
	<PARAM id="surface_y_offset" min="0" max="1" default="0" name="Y offset" persistent="true"/>
	<PARAM_MULTI_LINK from="surface_y_offset" to="surf0.y_offset;surf1.y_offset;surf2.y_offset;surf3.y_offset;surf4.y_offset;surf5.y_offset;surf6.y_offset;surf7.y_offset"/>
	<PARAM_MULTI_LINK from="surface_y_offset" to="3d_surf0.y_offset;3d_surf1.y_offset;3d_surf2.y_offset;3d_surf3.y_offset;3d_surf4.y_offset;3d_surf5.y_offset;3d_surf6.y_offset;3d_surf7.y_offset"/>
	<PARAM_MULTI_LINK from="surface_y_offset" to="surface_y_scale.offset;surface_grid.y_offset;3d_grid.y_offset;surface_coords.y_offset"/>
	
    <!-- Visibility -->
    <PARAM id="3d_mode" type="boolean" default="1" persistent="true"/>
    <PARAM_MULTI_LINK from="3d_mode" to="2d_graph.visible;mouse_options.display" reverse="true"/>
    <PARAM_LINK from="3d_mode" to="3d_view.visible"/>
</COLUMN>