<?xml version="1.0" encoding="utf-8" ?>
<COLUMN v_align="top">
	<!-- Objects definitions -->
	<DEFINE>
		<CUS_FREQ_GRAPH base_type="CURVE_GRAPH" width="100%" height="100%" x_scale="log" />
		<CUS_FILLED_GRAPH base_type="CUS_FREQ_GRAPH" graph_style="bargraph" opacity="15%" antialias="false"/>
		<CUS_MEMORY_CURVE base_type="CURVE" x_min="10" x_max="22000" x_default="10" y_min="-120" y_max="0"
			y_default="-120" persistent="true" />
		<CUS_V_RULER base_type="RULER" font_size="11" text_v_align="center" h_align="right"
			v_margin="7" height="100%" width="30" color="#888888" value_format=".0" content="{value} {unit}"
			positions_count="25" orientation="vertical" />
		<CUS_H_RULER base_type="RULER" text_h_align="center" h_align="right" h_margin="14" height="13" width="628" value_format=".0" content="{value} {unit}" positions_count="11" font_size="11"/>
		<CUS_GRID base_type="GRID" x_subdiv_count="1" y_subdiv_count="1" width="100%" height="100%"
			subdiv_color="#444444" color="#888888" origin_color="#999999" x_positions_count="11" y_positions_count="13" />
		<CUS_RESET_BUTTON base_type="IMAGE_PARAM_BUTTON" image="reset_push.bmp" cursor="system::hand" text_color="#cccccc" font_size="13"/>
	</DEFINE>
	
	
		<!-- link bypass to the paused attribute of the output curves -->
	<PARAM_MULTI_LINK from="dsp.input0" to="dsp.output_curve0.paused;dsp.output_curve1.paused;dsp.output_curve2.paused"/>
	<PARAM_MULTI_LINK from="dsp.input0" to="dsp.output_curve3.paused;dsp.output_curve4.paused;dsp.output_curve5.paused"/>
		<PARAM_MULTI_LINK from="dsp.input0" to="dsp.output_curve6.paused;dsp.output_curve7.paused;dsp.output_curve8.paused"/>
			<PARAM_MULTI_LINK from="dsp.input0" to="dsp.output_curve9.paused;dsp.output_curve10.paused;dsp.output_curve11.paused"/>
			
	<!-- link bypass to the paused attribute of the output params -->
	<PARAM_MULTI_LINK from="dsp.input0" to="dsp.output18.paused;dsp.output19.paused;dsp.output20.paused"/>
	
	<!-- Memory slots buttons template -->
	<TEMPLATE id="TPL_MEMORY_SLOTS" color1="$A_color$" color2="$B_color$" color3="$C_color$" color4="$D_color$">
		<SHORT_ROW>
			<CUS_TOGGLE param_id="link_$curve_index$mA.enabled">
				<TOOLTIP text="store to A" />
				<TEXT text_color="$color1$" value="A"/>
			</CUS_TOGGLE>
			<CUS_TOGGLE param_id="link_$curve_index$mB.enabled">
				<TOOLTIP text="store to B" />
				<TEXT text_color="$color2$" value="B"/>
			</CUS_TOGGLE>
			<CUS_TOGGLE param_id="link_$curve_index$mC.enabled">
				<TOOLTIP text="store to C" />
				<TEXT text_color="$color3$" value="C"/>
			</CUS_TOGGLE>	
			<CUS_TOGGLE param_id="link_$curve_index$mD.enabled">
				<TOOLTIP text="store to D" />
				<TEXT text_color="$color4$" value="D"/>
			</CUS_TOGGLE>							
		</SHORT_ROW>
	</TEMPLATE>
	
	<!-- Memories and associated links -->
	<CUS_MEMORY_CURVE id="curve_memA" />
	<CUS_MEMORY_CURVE id="curve_memB" />
	<CUS_MEMORY_CURVE id="curve_memC" />
	<CUS_MEMORY_CURVE id="curve_memD" />
	
	<TEMPLATE id="TPL_DEFINE_MEM_LINKS">
		<CURVE_LINK from="dsp.output_curve0" to="curve_mem$mem$" id="link_0m$mem$" enabled="false" />
		<CURVE_LINK from="dsp.output_curve1" to="curve_mem$mem$" id="link_1m$mem$" enabled="false" />
		<CURVE_LINK from="dsp.output_curve2" to="curve_mem$mem$" id="link_2m$mem$" enabled="false" />
		<CURVE_LINK from="dsp.output_curve3" to="curve_mem$mem$" id="link_3m$mem$" enabled="false" />
		<CURVE_LINK from="dsp.output_curve4" to="curve_mem$mem$" id="link_4m$mem$" enabled="false" />
		<CURVE_LINK from="dsp.output_curve5" to="curve_mem$mem$" id="link_5m$mem$" enabled="false" />
		<CURVE_LINK from="dsp.output_curve6" to="curve_mem$mem$" id="link_6m$mem$" enabled="false" />
		<CURVE_LINK from="dsp.output_curve7" to="curve_mem$mem$" id="link_7m$mem$" enabled="false" />
		<CURVE_LINK from="dsp.output_curve8" to="curve_mem$mem$" id="link_8m$mem$" enabled="false" />
		<CURVE_LINK from="dsp.output_curve9" to="curve_mem$mem$" id="link_9m$mem$" enabled="false" />
		<CURVE_LINK from="dsp.output_curve10" to="curve_mem$mem$" id="link_10m$mem$" enabled="false" />
		<CURVE_LINK from="dsp.output_curve11" to="curve_mem$mem$" id="link_11m$mem$" enabled="false" />
	</TEMPLATE>
	
	<TPL_DEFINE_MEM_LINKS mem="A" />
	<TPL_DEFINE_MEM_LINKS mem="B" />
	<TPL_DEFINE_MEM_LINKS mem="C" />
	<TPL_DEFINE_MEM_LINKS mem="D" />

	<PERSISTENT_PARAMS param_ids="graphMemA.visible;graphMemB.visible;graphMemC.visible;graphMemD.visible"/>

	<!-- x/y mouse parameters -->
	<PARAM id="x_freq" min="10" max="22000" default="10" name="x" unit="Hz" />
	<PARAM id="y_gain" min="-120" max="0" default="-120" name="y" unit="dB" />
	<!-- link for the drag or measure stuff -->
	<PARAM_LINK from="mouse_measure" to="coords.visible" />
	<PARAM_LINK from="mouse_measure" to="position_cell.visible"/>
	
	<!-- show/hide params for curves -->
    <PARAM id="show_filled_curves" type="boolean" persistent="true" default="1"/>

	<PARAM id="show_normal_left" type="boolean" default="0" persistent="true" />
	<PARAM id="show_max_left" type="boolean" default="0" persistent="true" />
	<PARAM id="show_avg_left" type="boolean" default="0" persistent="true" />
	<PARAM_LINK from="show_normal_left" to="graph0.1.visible" />
	<PARAM_LINK from="show_max_left" to="graph1.1.visible" />
	<PARAM_LINK from="show_avg_left" to="graph2.1.visible" />
	<PARAM_MULTI_LINK from="show_normal_left;show_filled_curves" to="graph0.visible" mux_function="min"/>
	
	<PARAM id="show_normal_right" type="boolean" default="0" persistent="true" />
	<PARAM id="show_max_right" type="boolean" default="0" persistent="true" />
	<PARAM id="show_avg_right" type="boolean" default="0" persistent="true" />
	<PARAM_LINK from="show_normal_right" to="graph3.1.visible" />
	<PARAM_LINK from="show_max_right" to="graph4.1.visible" />
	<PARAM_LINK from="show_avg_right" to="graph5.1.visible" />
	<PARAM_MULTI_LINK from="show_normal_right;show_filled_curves" to="graph3.visible" mux_function="min"/>
	
	<PARAM id="show_normal_avg" type="boolean" default="1" persistent="true" />
	<PARAM id="show_max_avg" type="boolean" default="1" persistent="true" />
	<PARAM id="show_avg_avg" type="boolean" default="0" persistent="true" />
	<PARAM_LINK from="show_normal_avg" to="graph6.1.visible" />
	<PARAM_LINK from="show_max_avg" to="graph7.1.visible" />
	<PARAM_LINK from="show_avg_avg" to="graph8.1.visible" />
	<PARAM_MULTI_LINK from="show_normal_avg;show_filled_curves" to="graph6.visible" mux_function="min"/>
	
	<PARAM id="show_normal_max" type="boolean" default="0" persistent="true" />
	<PARAM id="show_max_max" type="boolean" default="0" persistent="true" />
	<PARAM id="show_avg_max" type="boolean" default="0" persistent="true" />
	<PARAM_LINK from="show_normal_max" to="graph9.1.visible" />
	<PARAM_LINK from="show_max_max" to="graph10.1.visible" />
	<PARAM_LINK from="show_avg_max" to="graph11.1.visible" />
	<PARAM_MULTI_LINK from="show_normal_max;show_filled_curves" to="graph9.visible" mux_function="min"/>
	
	<COLUMN v_margin="-5">
		<CELL height="5" />
		<ROW spacing="70">
		<TPL_CURVE_CHECK_BOX color="#dddddd" param_id="show_filled_curves" text="Show filled curves" />
		<IMAGE_GROUP_BOX layout_type="row" id="position_cell">	
			<TEXT value="Position: " />
			<TEXT value="(" height="10" />
			<PARAM_TEXT param_id="x_freq" width="50" height="10" content="{value} {unit}" value_format=".0"
				text_color="#dddddd" />
			<TEXT value="|" height="10" />
			<PARAM_TEXT param_id="y_gain" width="40" height="10" content="{value} {unit}" value_format=".0"
				text_color="#dddddd" />
			<TEXT value=")" height="10" />
		</IMAGE_GROUP_BOX>
		</ROW>
	</COLUMN>
	<ROW>
	<LAYER_STACK>
	<TABLE h_margin="3" >
		<TABLE_ROW>
			<!-- Y scale -->
            <LAYER_STACK height="100%">
                <CUS_V_RULER param_info_id="dsp.output_curve0.y_info" id="y_scale" />
                <XYZ_PARAM_SCRATCH_PAD height="100%" width="100%" y_param_id="graph_y_offset" y_reverse="true" id="graph_yruler_pad" cursor="system::open_hand"/>    
            </LAYER_STACK>
            <!-- Graphs -->
			<LAYER_STACK height="315" width="628" v_margin="7" h_margin="14">
				<CUS_GRID x_param_info_id="dsp.output_curve0.x_info" y_param_info_id="dsp.output_curve0.y_info" id="grid" />
				
				<!-- Real time bargraphs -->
				<CUS_FILLED_GRAPH id="graph0" color="$instant_fill_color_left$" curve_id="dsp.output_curve0" />
				<CUS_FILLED_GRAPH id="graph3" color="$instant_fill_color_right$" curve_id="dsp.output_curve3" />
				<CUS_FILLED_GRAPH id="graph6" color="$instant_fill_color_max$" curve_id="dsp.output_curve6" />
				<CUS_FILLED_GRAPH id="graph9" color="$instant_fill_color_avg$" curve_id="dsp.output_curve9" />
								
				<!-- Real time graphs -->
				<CUS_FREQ_GRAPH id="graph0.1" color="$instant_color_left$" curve_id="dsp.output_curve0" />
				<CUS_FREQ_GRAPH id="graph1.1" color="$peak_color_left$" curve_id="dsp.output_curve1" />
				<CUS_FREQ_GRAPH id="graph2.1" color="$avg_color_left$" curve_id="dsp.output_curve2" />
				
				<CUS_FREQ_GRAPH id="graph3.1" color="$instant_color_right$" curve_id="dsp.output_curve3" />
				<CUS_FREQ_GRAPH id="graph4.1" color="$peak_color_right$" curve_id="dsp.output_curve4" />
				<CUS_FREQ_GRAPH id="graph5.1" color="$avg_color_right$" curve_id="dsp.output_curve5" />

				<CUS_FREQ_GRAPH id="graph6.1" color="$instant_color_avg$" curve_id="dsp.output_curve6" />
				<CUS_FREQ_GRAPH id="graph7.1" color="$peak_color_avg$" curve_id="dsp.output_curve7" />
				<CUS_FREQ_GRAPH id="graph8.1" color="$avg_color_avg$" curve_id="dsp.output_curve8" />

				<CUS_FREQ_GRAPH id="graph9.1" color="$instant_color_max$" curve_id="dsp.output_curve9" />
				<CUS_FREQ_GRAPH id="graph10.1" color="$peak_color_max$" curve_id="dsp.output_curve10" />
				<CUS_FREQ_GRAPH id="graph11.1" color="$avg_color_max$" curve_id="dsp.output_curve11" />
				
								
				<!-- Memory graphs -->
				<CUS_FREQ_GRAPH id="graphMemA" color="$A_color$" curve_id="curve_memA" visible="true" />
				<CUS_FREQ_GRAPH id="graphMemB" color="$B_color$" curve_id="curve_memB" visible="true" />
				<CUS_FREQ_GRAPH id="graphMemC" color="$C_color$" curve_id="curve_memC" visible="true" />
				<CUS_FREQ_GRAPH id="graphMemD" color="$D_color$" curve_id="curve_memD" visible="true" />
				
				<!-- zoom scratch pad -->
				<XYZ_PARAM_SCRATCH_PAD height="100%" width="100%" x_param_id="graph_x_offset" y_param_id="graph_y_offset"
					x_reverse="true" y_reverse="true" id="scratchpad" cursor="system::open_hand" />
				<!-- The controller that let you see the xY coordinates values -->
                   <XY_ZOOM_SELECT_PAD id="coords" height="100%" width="100%" x_param_id="x_freq" y_param_id="y_gain" x_zoom_param_id="graph_x_zoom" y_zoom_param_id="graph_y_zoom" x_offset_param_id="graph_x_offset" y_offset_param_id="graph_y_offset" cursor="system::cross" x_scale="log" />
		
				<!-- zoom sliders -->
				<TPL_ZOOM_SLIDERS y_zoom="graph_y_zoom" x_zoom="graph_x_zoom"/>
			</LAYER_STACK>
			<!-- slider -->
			<CUS_ARROW_SLIDER param_id="dsp.input6" id="threshold_slider"/>
		</TABLE_ROW>
		<TABLE_ROW>
			<CELL />
			<LAYER_STACK>
                <CUS_H_RULER param_info_id="dsp.output_curve0.x_info" id="x_scale" scale="log"/>
                <XYZ_PARAM_SCRATCH_PAD height="100%" width="100%" x_param_id="graph_x_offset" x_reverse="true" id="graph_xruler_pad" cursor="system::open_hand"/>    
            </LAYER_STACK>
			<CELL />
		</TABLE_ROW>
		<TABLE_ROW>
			<CELL />
			<LAYER_STACK>
				<CUS_HMETER param_id="dsp.output18" scale="log" id="meter_low" >
					<TOOLTIP text="min-center-max frequencies" />
				</CUS_HMETER>
				<CUS_HMETER_EMPTY param_id="dsp.output19" scale="log" id="meter_mid" image_mask="hmeter_empty_mask.bmp" image_selected="hmeter_black.bmp" image_selected_mask=""/>
				<CUS_HMETER_EMPTY param_id="dsp.output20" scale="log" id="meter_high" image="hmeter_black.bmp" image_selected_mask="hmeter_empty_mask.bmp">
					<TOOLTIP text="min-center-max frequencies" />
				</CUS_HMETER_EMPTY>
			</LAYER_STACK>
			<CELL />
		</TABLE_ROW>
	</TABLE>
	</LAYER_STACK>
	<!-- Show/Hide buttons -->	
	<DEFINE>
		<SHORT_ROW base_type="ROW" spacing="4"/>
	</DEFINE>

	<COLUMN spacing="2" h_margin="2" v_align="top">
		<TPL_TITLE text="Mouse"/>
		<CUS_VBLACK_BOX layout_type="column" width="65">
			<ROW spacing="5">
				<CUS_HAND_BUTTON param_id="mouse_drag">
					<TOOLTIP text="Drag Mode" />
				</CUS_HAND_BUTTON>
				<CUS_CROSS_BUTTON param_id="mouse_measure">
					<TOOLTIP text="Measure Mode" />
				</CUS_CROSS_BUTTON>
			</ROW>
		</CUS_VBLACK_BOX>
		<ROW>		
			<COLUMN spacing="3" width="65">
				<TPL_STRING_TITLE string_id="channel1_name"/>
				<CUS_VBLACK_BOX layout_type="column" width="100%">
						<TPL_CURVE_CHECK_BOX param_id="show_normal_left" text_color="$instant_color_left$" text="Instant"/>
						<TPL_MEMORY_SLOTS curve_index="0"/>
				</CUS_VBLACK_BOX>
				<CUS_VBLACK_BOX layout_type="column" width="100%">
						<TPL_CURVE_CHECK_BOX param_id="show_max_left" text_color="$peak_color_left$" text="Peak"/>
						<TPL_MEMORY_SLOTS curve_index="1"/>
				</CUS_VBLACK_BOX>
				<CUS_VBLACK_BOX layout_type="column" width="100%">
						<TPL_CURVE_CHECK_BOX param_id="show_avg_left" text_color="$avg_color_left$" text="Average"/>
						<TPL_MEMORY_SLOTS curve_index="2"/>
				</CUS_VBLACK_BOX>
				<TPL_TITLE text="Avg Ch."/>
				<CUS_VBLACK_BOX layout_type="column" width="100%">
						<TPL_CURVE_CHECK_BOX param_id="show_normal_avg" text_color="$instant_color_avg$" text="Instant"/>
						<TPL_MEMORY_SLOTS curve_index="6"/>
				</CUS_VBLACK_BOX>
				<CUS_VBLACK_BOX layout_type="column" width="100%">
						<TPL_CURVE_CHECK_BOX param_id="show_max_avg" text_color="$peak_color_avg$" text="Peak"/>
						<TPL_MEMORY_SLOTS curve_index="7"/>
				</CUS_VBLACK_BOX>
				<CUS_VBLACK_BOX layout_type="column" width="100%">
						<TPL_CURVE_CHECK_BOX param_id="show_avg_avg" text_color="$avg_color_avg$" text="Average"/>
						<TPL_MEMORY_SLOTS curve_index="8"/>
				</CUS_VBLACK_BOX>
			</COLUMN>
			<COLUMN spacing="3" width="65">
				<TPL_STRING_TITLE string_id="channel2_name"/>
				<CUS_VBLACK_BOX layout_type="column" width="100%">
						<TPL_CURVE_CHECK_BOX param_id="show_normal_right" text_color="$instant_color_right$" text="Instant"/>
						<TPL_MEMORY_SLOTS curve_index="3"/>
				</CUS_VBLACK_BOX>
				<CUS_VBLACK_BOX layout_type="column" width="100%">
						<TPL_CURVE_CHECK_BOX param_id="show_max_right" text_color="$peak_color_right$" text="Peak"/>
						<TPL_MEMORY_SLOTS curve_index="4"/>
				</CUS_VBLACK_BOX>
				<CUS_VBLACK_BOX layout_type="column" width="100%">
						<TPL_CURVE_CHECK_BOX param_id="show_avg_right" text_color="$avg_color_right$" text="Average"/>
						<TPL_MEMORY_SLOTS curve_index="5"/>
				</CUS_VBLACK_BOX>
				<TPL_TITLE text="Max Ch."/>
				<CUS_VBLACK_BOX layout_type="column" width="100%">
						<TPL_CURVE_CHECK_BOX param_id="show_normal_max" text_color="$instant_color_max$" text="Instant"/>
						<TPL_MEMORY_SLOTS curve_index="9"/>
				</CUS_VBLACK_BOX>
				<CUS_VBLACK_BOX layout_type="column" width="100%">
						<TPL_CURVE_CHECK_BOX param_id="show_max_max" text_color="$peak_color_max$" text="Peak"/>
						<TPL_MEMORY_SLOTS curve_index="10"/>
				</CUS_VBLACK_BOX>
				<CUS_VBLACK_BOX layout_type="column" width="100%">
						<TPL_CURVE_CHECK_BOX param_id="show_avg_max" text_color="$avg_color_max$" text="Average"/>
						<TPL_MEMORY_SLOTS curve_index="11"/>
				</CUS_VBLACK_BOX>
			</COLUMN>
		</ROW>
		<CUS_VBLACK_BOX layout_type="column" width="100%">
			<TEXT value="Memory Slots" />
			<SHORT_ROW>
				<TPL_CURVE_CHECK_BOX param_id="graphMemA.visible" text_color="$A_color$" text="A"/>
				<CELL/>
				<TPL_CURVE_CHECK_BOX param_id="graphMemB.visible" text_color="$B_color$" text="B"/>
				<CELL/>
				<TPL_CURVE_CHECK_BOX param_id="graphMemC.visible" text_color="$C_color$" text="C"/>
				<CELL/>
				<TPL_CURVE_CHECK_BOX param_id="graphMemD.visible" text_color="$D_color$" text="D"/>
			</SHORT_ROW>
		</CUS_VBLACK_BOX>
		<CUS_VBLACK_BOX layout_type="column" width="100%" spacing="4">
			<TEXT value="Reset" />
			<ROW spacing="20">
				<CUS_RESET_BUTTON param_id="dsp.input10" text_color="#eeeeee">
					<TEXT  value="Peak"/>
				</CUS_RESET_BUTTON>
				<CUS_RESET_BUTTON param_id="dsp.input11" text_color="#cccccc">
					<TEXT  value="Avg"/>
				</CUS_RESET_BUTTON>
			</ROW>
		</CUS_VBLACK_BOX>
	</COLUMN>
	</ROW>
	<!-- Zoom parameters and links -->
	<PARAM_MULTI_LINK from="grid.x_extra_pixels" to="scratchpad.x_pixel_range;graph_xruler_pad.x_pixel_range" />
	<PARAM_MULTI_LINK from="grid.y_extra_pixels" to="scratchpad.y_pixel_range;graph_yruler_pad.y_pixel_range" />
	<!-- X zoom -->
	<PARAM id="graph_x_zoom" min="1" max="5" default="1" name="X zoom" persistent="true" />
	<PARAM_MULTI_LINK from="graph_x_zoom" to="graph0.x_zoom;graph0.1.x_zoom;graph1.1.x_zoom;graph2.1.x_zoom;graph3.x_zoom;graph3.1.x_zoom;graph4.1.x_zoom;graph5.1.x_zoom;graph6.x_zoom;graph6.1.x_zoom;graph7.1.x_zoom;graph8.1.x_zoom;graph9.x_zoom;graph9.1.x_zoom;graph10.1.x_zoom;graph11.1.x_zoom" />
	<PARAM_MULTI_LINK from="graph_x_zoom" to="graphMemA.x_zoom;graphMemB.x_zoom;graphMemC.x_zoom;graphMemD.x_zoom" />
	<PARAM_MULTI_LINK from="graph_x_zoom" to="x_scale.zoom;grid.x_zoom;meter_low.zoom;meter_mid.zoom;meter_high.zoom;coords.x_zoom"/>
	
	<!-- X offset -->
	<PARAM id="graph_x_offset" min="0" max="1" default=".5" name="X offset" persistent="true" />
	<PARAM_MULTI_LINK from="graph_x_offset" to="graph0.x_offset;graph0.1.x_offset;graph1.1.x_offset;graph2.1.x_offset;graph3.x_offset;graph3.1.x_offset;graph4.1.x_offset;graph5.1.x_offset;graph6.x_offset;graph6.1.x_offset;graph7.1.x_offset;graph8.1.x_offset;graph9.x_offset;graph9.1.x_offset;graph10.1.x_offset;graph11.1.x_offset" />
	<PARAM_MULTI_LINK from="graph_x_offset" to="graphMemA.x_offset;graphMemB.x_offset;graphMemC.x_offset;graphMemD.x_offset" />
	<PARAM_MULTI_LINK from="graph_x_offset" to="x_scale.offset;grid.x_offset;meter_low.offset;meter_mid.offset;meter_high.offset;coords.x_offset" />

	<!-- Y Zoom -->
	<PARAM id="graph_y_zoom" min="1" max="3" default="1" name="Y zoom" persistent="true" />
	<PARAM_MULTI_LINK from="graph_y_zoom" to="graph0.y_zoom;graph0.1.y_zoom;graph1.1.y_zoom;y_scale.zoom;graph2.1.y_zoom;graph3.y_zoom;graph3.1.y_zoom;graph4.1.y_zoom;graph5.1.y_zoom;graph6.y_zoom;graph6.1.y_zoom;graph7.1.y_zoom;graph8.1.y_zoom;graph9.y_zoom;graph9.1.y_zoom;graph10.1.y_zoom;graph11.1.y_zoom"/>
	<PARAM_MULTI_LINK from="graph_y_zoom" to="graphMemA.y_zoom;graphMemB.y_zoom;graphMemC.y_zoom;graphMemD.y_zoom" />
	<PARAM_MULTI_LINK from="graph_y_zoom" to="grid.y_zoom;threshold_slider.zoom;coords.y_zoom" />

	<!-- Y Offset -->
	<PARAM id="graph_y_offset" min="0" max="1" default="1" name="Y offset" persistent="true" />
	<PARAM_MULTI_LINK from="graph_y_offset" to="graph0.y_offset;graph0.1.y_offset;graph1.1.y_offset;graph2.1.y_offset;graph3.y_offset;graph3.1.y_offset;graph4.1.y_offset;graph5.1.y_offset;graph6.y_offset;graph6.1.y_offset;graph7.1.y_offset;graph8.1.y_offset;graph9.y_offset;graph9.1.y_offset;graph10.1.y_offset;graph11.1.y_offset" />
	<PARAM_MULTI_LINK from="graph_y_offset" to="graphMemA.y_offset;graphMemB.y_offset;graphMemC.y_offset;graphMemD.y_offset" />
	<PARAM_MULTI_LINK from="graph_y_offset" to="y_scale.offset;grid.y_offset;threshold_slider.offset;coords.y_offset" />
</COLUMN>